TypeKey
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class TypeKey

- java.lang.Object
- - com.fasterxml.jackson.databind.util.TypeKey

-     public class TypeKey
      extends java.lang.Object

  Key that offers two "modes"; one with raw class, as used for cases were raw class type is available (for example, when using runtime type); and one with full generics-including.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class<?>` | `_class`
    `protected int` | `_hashCode`
    `protected boolean` | `_isTyped` Indicator of whether serializer stored has a type serializer wrapper around it or not; if not, it is "untyped" serializer; if it has, it is "typed"
    `protected JavaType` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeKey()`
    `TypeKey(java.lang.Class<?> key, boolean typed)`
    `TypeKey(JavaType key, boolean typed)`
    `TypeKey(TypeKey src)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Class<?>` | `getRawType()`
    `JavaType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isTyped()`
    `void` | `resetTyped(java.lang.Class<?> cls)`
    `void` | `resetTyped(JavaType type)`
    `void` | `resetUntyped(java.lang.Class<?> cls)`
    `void` | `resetUntyped(JavaType type)`
    `java.lang.String` | `toString()`
    `static int` | `typedHash(java.lang.Class<?> cls)`
    `static int` | `typedHash(JavaType type)`
    `static int` | `untypedHash(java.lang.Class<?> cls)`
    `static int` | `untypedHash(JavaType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _hashCode

          protected int _hashCode

    - #### _class

          protected java.lang.Class<?> _class

    - #### _type

          protected JavaType _type

    - #### _isTyped

          protected boolean _isTyped

      Indicator of whether serializer stored has a type serializer wrapper around it or not; if not, it is "untyped" serializer; if it has, it is "typed"

  - ### Constructor Detail

    - #### TypeKey

          public TypeKey()

    - #### TypeKey

          public TypeKey(TypeKey src)

    - #### TypeKey

          public TypeKey(java.lang.Class<?> key,
                 boolean typed)

    - #### TypeKey

          public TypeKey(JavaType key,
                 boolean typed)

  - ### Method Detail

    - #### untypedHash

          public static final int untypedHash(java.lang.Class<?> cls)

    - #### typedHash

          public static final int typedHash(java.lang.Class<?> cls)

    - #### untypedHash

          public static final int untypedHash(JavaType type)

    - #### typedHash

          public static final int typedHash(JavaType type)

    - #### resetTyped

          public final void resetTyped(java.lang.Class<?> cls)

    - #### resetUntyped

          public final void resetUntyped(java.lang.Class<?> cls)

    - #### resetTyped

          public final void resetTyped(JavaType type)

    - #### resetUntyped

          public final void resetUntyped(JavaType type)

    - #### isTyped

          public boolean isTyped()

    - #### getRawType

          public java.lang.Class<?> getRawType()

    - #### getType

          public JavaType getType()

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`